// Copyright 1998-2014 Epic Games, Inc. All Rights Reserved.
#pragma once

#include "IPolishBuildingsTool.h"
#include "MeshUtilities.h"

/**
 * Mesh Merging Tool
 */
class FPolishBuildingsTool : public IPolishBuildingsTool
{
	friend class SPolishBuildingsDialog;

public:

	FPolishBuildingsTool();

	// IPolishBuildingsTool interface
	virtual TSharedRef<SWidget> GetWidget() override;
	virtual FName GetIconName() const override { return "PolishBuildings.PolishBuildingsTool"; }
	virtual FText GetTooltipText() const override;
	virtual FString GetDefaultPackageName() const override;
	virtual bool RunMerge(const FString& PackageName) override;

private:

	/** Current mesh merging settings */
	FMeshMergingSettings MergingSettings;

	/** Whether to replace source actors with a merged actor in the world */
	bool bReplaceSourceActors;

	bool bExportSpecificLOD;
	int32 ExportLODIndex;
};
